<?php
session_start();

require('conexion.php');

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$contrasena = $_POST['password'];

//$renglon =query("CALL sp_validar_acceso('$contrasena')");
$renglon =secure_query("CALL sp_validar_acceso(?)",$contrasena);


while($resultado=mysqli_fetch_assoc($renglon))
{
    $datos[0]["ID"]=$resultado["CLAVE"];
    
    if($datos[0]["ID"]!=0)
    {
        $id_usu=$datos[0]["ID"];
        //$sesion = query("INSERT INTO sessiones VALUES(null, '$id_usu', CURRENT_TIME(), CURRENT_TIME());");
        $datos[1]["NOMBRE"]=$resultado["USUARIO"];
        $datos[2]["ROL"]=$resultado["ROL"];
        //ISSET -->VERIFICA SI EXISTEN LAS VARIABLES DE SESION SINO, LAS CREA
        if(!isset($_SESSION['cveUsuario']))
            $_SESSION['cveUsuario']=$datos[0]["ID"];
        if(!isset($_SESSION['nomUsuario']))
            $_SESSION['nomUsuario']=$datos[1]["NOMBRE"];
        if(!isset($_SESSION['rolUsuario']))
            $_SESSION['rolUsuario']=$datos[2]["ROL"];
        if(!isset($_SESSION['cveNota']))
            $_SESSION['cveNota']=0;

        if($datos[2]["ROL"] == 'COCINA'){
            echo "<script> 
            document.location.href='/aqua-restaurant/usuario_cocinero/comandas.php';
            </script>";
        }elseif ($datos[2]["ROL"] == 'CHEF') {
            echo "<script> 
            document.location.href='/aqua-restaurant/usuario_chef/comandas.php';
            </script>";
        }elseif ($datos[2]["ROL"] == 'MESERO' || $datos[2]["ROL"] == 'MESERA') {
            echo "<script> 
            document.location.href='/aqua-restaurant/usuario_mesero/sale_notes.php';
            </script>";
        }else{
            echo "<script> 
            document.location.href='/aqua-restaurant/usuario_mesero/notas_de_venta.php';
            </script>";
        }
        
    }else{
        echo "<script> 
            document.location.href='/aqua-restaurant';
            </script>";
    }
}
return $datos;
?>